Package wx :: Class MouseCaptureChangedEvent

[frames | no frames]

## Type MouseCaptureChangedEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    MouseCaptureChangedEvent

An mouse capture changed event (EVT_MOUSE_CAPTURE_CHANGED) is sent to a window that loses its mouse capture. This is called even if `wx.Window.ReleaseMouse` was called by the application code. Handling this event allows an application to cater for unexpected capture releases which might otherwise confuse mouse handling code.

This event is implemented under Windows only.

Method Summary
MouseCaptureChangedEvent | ``__init__`(self, winid, gainedCapture)` Constructor
Window | ``GetCapturedWindow`(self)` Returns the window that gained the capture, or `None` if it was a non-wxWidgets window.

Property Summary
| `CapturedWindow`: See `GetCapturedWindow`
| `thisown`: The membership flag

Method Details

### __init__(self, winid=0, gainedCapture=None)
(Constructor)

Constructor

  Parameters:
    `winid`
    (type=int)

    `gainedCapture`
    (type=Window)

  Returns:
    MouseCaptureChangedEvent
  Overrides:
    `wx.Event.__init__`

### GetCapturedWindow(self)

Returns the window that gained the capture, or `None` if it was a non-wxWidgets window.

  Returns:
    Window

Property Details

### CapturedWindow

See `GetCapturedWindow`

  Get Method:
    `GetCapturedWindow`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:09 2007 | http://epydoc.sf.net